using Microsoft.Extensions.Logging;
using Model;
using StubLib;
using ViewModel;
using App.Pages;

namespace App;

public static class MauiProgram
{
	public static MauiApp CreateMauiApp()
	{
		var builder = MauiApp.CreateBuilder();
		builder
			.UseMauiApp<App>()
			.ConfigureFonts(fonts =>
			{
				fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
				fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
			})
			.Services.AddSingleton<IDataManager, StubData>()
			.AddSingleton<ChampionManagerVM>()
			.AddSingleton<ChampionsListPage>()

			.AddTransient<ChampionVM>()
			.AddTransient<ChampionDetailPage>();

#if DEBUG
		builder.Logging.AddDebug();
#endif

		return builder.Build();
	}
}

